## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iPcMechanicsExploder Struct Reference

A property class for handling the physics of an explosion. More...

`#include <propclass/mechexploder.h>`

List of all members.

## Public Member Functions

virtual void | Explode ()=0
| Blow up the object!
virtual void | SetExplosiveForce (float force)=0
| Set the magnitude of the force of the explosion this object will create.

## Detailed Description

A property class for handling the physics of an explosion.

This property class depends on iPcMechanicsObject and iPcAttractor, and extends their functionality.

This property class supports the following actions (add prefix 'cel.action.' to get the ID of the action and add prefix 'cel.parameter.' to get the ID of the parameter):

- Explode: no parameters.

This property class supports the following properties (add prefix 'cel.property.' to get the ID of the property):

- force (float, read/write): the force of the explosion.

Definition at line 47 of file mechexploder.h.

## Member Function Documentation

virtual void iPcMechanicsExploder::Explode | ( |  | ) | `[pure virtual]`

| Blow up the object!

virtual void iPcMechanicsExploder::SetExplosiveForce | ( | float | force | ) | `[pure virtual]`

| Set the magnitude of the force of the explosion this object will create.

The documentation for this struct was generated from the following file:

- propclass/mechexploder.h